<template>
  <div>
    <div class="table">
      <h1>Weather</h1>
      <!-- <input type="checkbox" />Bar <input type="checkbox" />Senzen -->
      <button  @click="Senzen(list)">
        Bar
      </button>
      <button
        @click="bar(list)"
      >
        Senzen
      </button>
      <table>
        <div >
          <tr>
            <td>weather</td>
            <td>description</td>
            <td>wind speed</td>
            <td>Number of clouds</td>
            <td>Temperature</td>
            
          </tr>
          <tr v-for="item in test" :key="item.id">
            <td>{{ item.weather[0].main }}</td>
            <td>{{ item.weather[0].description }}</td>
            <td>{{ item.wind.speed }} m/h</td>
            <td>{{ item.clouds.all }}</td>
            <td>{{ item.main.temp }} kelvins</td>
            
          </tr>
        </div>
      </table>
    </div>
  </div>
</template>
<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
Vue.use(VueAxios, axios);
export default {
  name: "weather",
  data() {
    return {
      showThis: false,
      showThat: true,
      list: undefined,
      listtwo: [],
      filter: 'all',
      test: [],
    };
  },
  mounted() {
    Vue.axios
      .get(
        "https://api.openweathermap.org/data/2.5/forecast?lat=35&lon=139&appid=620c7223aba0f859c93a0d675e158d71"
      )
      .then((resp) => {
        this.list = resp.data.list;
        console.warn(resp.data.list);
      }),
      Vue.axios
        .get(
          "https://api.openweathermap.org/data/2.5/forecast?lat=42&lon=19&appid=620c7223aba0f859c93a0d675e158d71"
        )
        .then((resp) => {
          this.listtwo = resp.data.list;
          console.warn(resp.data.list);
        });
  },
  computed:{
      weatherfilter(){
          if (this.filter=='all'){
              return this.list=this.list
          } else if(this.filter=='active'){
              return this.list=this.listtwo
              
          }

      }
  },
  methods:{
      bar(){
          this.test=this.list
          return this.test
      },
      Senzen(){
          
          this.test=this.listtwo
          return this.test
      }
  }
};
</script>
<style>
* {
  box-sizing: border-box;
  justify-content: center;
  align-content: center;
}
.table {
  justify-content: center;
  align-content: center;
  display: block;
  width: 100%;
}
table {
  border: 1px solid black;
  justify-content: center;
  text-align: left;
  border-collapse: collapse;
  margin-left: auto;
  margin-right: auto;
}
tr {
  column-width: 100px;
}
td {
  padding: 15px;
  text-align: left;
  border: 1px solid;
}
</style>


